| Home | Libraries | People | FAQ | More

###### storage_ptr::storage_ptr (3 of 5 overloads)

Constructor.

###### Synopsis

    template<
        class T>
    storage_ptr(
        polymorphic_allocator< T > const& alloc);

###### Description

This constructs a non-owning pointer that points to the same memory resource as `alloc`, obtained by calling `alloc.resource()`. The caller is responsible for maintaining the lifetime of the pointed-to `memory_resource`.

###### Constraints

    std::is_convertible< T*, memory_resource* >::value == true

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`alloc` | A `polymorphic_allocator` to construct from.